Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.joyaop.extension.picocontainer
Class AspectAdapterFactory

    java.lang.Object
      net.sf.joyaop.extension.picocontainer.AspectAdapterFactory

All Implemented Interfaces:
  org.picocontainer.defaults.ComponentAdapterFactory

    public class AspectAdapterFactory

extends java.lang.Object
implements org.picocontainer.defaults.ComponentAdapterFactory

Author:
  Shen Li

Constructor Summary
`AspectAdapterFactory(PicoAspectFactory picoAspectFactory)`

Method Summary
`org.picocontainer.ComponentAdapter` | `createComponentAdapter(java.lang.Object componentKey, java.lang.Class componentImplementation, org.picocontainer.Parameter[] parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AspectAdapterFactory

    public AspectAdapterFactory(PicoAspectFactory picoAspectFactory)

Method Detail

### createComponentAdapter

    public org.picocontainer.ComponentAdapter createComponentAdapter(java.lang.Object componentKey,
                                                                     java.lang.Class componentImplementation,
                                                                     org.picocontainer.Parameter[] parameters)
                                                              throws org.picocontainer.PicoIntrospectionException,
                                                                     org.picocontainer.defaults.AssignabilityRegistrationException,
                                                                     org.picocontainer.defaults.NotConcreteRegistrationException

  Specified by:
    `createComponentAdapter` in interface `org.picocontainer.defaults.ComponentAdapterFactory`
  Throws:
    `org.picocontainer.PicoIntrospectionException`
    `org.picocontainer.defaults.AssignabilityRegistrationException`
    `org.picocontainer.defaults.NotConcreteRegistrationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD